Name: pan
Version: 0.14.2
Release: alt1

Summary: A USENET newsreader for GNOME
Summary(ru_RU.KOI8-R):     
License: GPL
Group: Networking/News
# Automatically added by buildreq on Thu Mar 18 2004
BuildRequires: XFree86-libs fontconfig freetype2 glib2-devel libatk-devel libgnet-devel libgtk+2-devel libpango-devel libxml2-devel pkgconfig zlib-devel

URL: http://pan.rebelbase.com/
Source: http://pan.rebelbase.com/download/releases/%version/SOURCE/%name-%version.tar.bz2
Source1: %name-48.png
Source2: %name-32.png
Source3: %name-16.png
Patch0: pan-0.14.0-mozilla.patch

%description
This is version %version of PAN, the Pimp Ass Newsreader.  Its
goal is to make a user-friendly and powerful USENET newsreadre for
GNOME.  Its user interface is based loosely on popular newsreaders
for Windows.

%description -l ru_RU.KOI8-R
        USENET.

%prep
%setup -q
#patch0 -p1

%build
%configure --enable-html
%make_build

%install
%makeinstall

%find_lang %name

# Menu
mkdir -p $RPM_BUILD_ROOT%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%_bindir/%name" needs="X11" \
icon="%name.png" section="Networking/News" \
title="Pan Newsreader" longtitle="Pan Usenet Newsreader for Gnome"
EOF

#icon
install -d $RPM_BUILD_ROOT/%_iconsdir
install -d $RPM_BUILD_ROOT/%_liconsdir
install -d $RPM_BUILD_ROOT/%_miconsdir
install -D -m 644 %SOURCE1 $RPM_BUILD_ROOT%_liconsdir/%name.png
install -D -m 644 %SOURCE1 $RPM_BUILD_ROOT%_iconsdir/%name.png
install -D -m 644 %SOURCE1 $RPM_BUILD_ROOT%_miconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README ChangeLog AUTHORS TODO COPYING CREDITS
%attr(755,root,root) %_bindir/%name
%_menudir/%name
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_datadir/gnome/apps/Internet/%name.desktop
%_datadir/pixmaps/*

%changelog
* Thu Mar 18 2004 Anton Farygin <rider@altlinux.ru> 0.14.2-alt1
- new version

* Tue May 06 2003 Rider <rider@altlinux.ru> 0.14.0-alt1
- new stable version, based on GTK+2
- default internet browser changed to mozilla

* Mon Jan 06 2003 Rider <rider@altlinux.ru> 0.13.3-alt1
- 0.13.3

* Mon Nov 11 2002 Rider <rider@altlinux.ru> 0.13.2-alt1
- 0.13.2

* Thu Oct 17 2002 Rider <rider@altlinux.ru> 0.13.1-alt1
- 0.13.1

* Wed Oct 09 2002 Stanislav Ievlev <inger@altlinux.ru> 0.13.0-alt2
- rebuild with gtk 2.1

* Tue Aug 20 2002 Rider <rider@altlinux.ru> 0.13.0-alt1
- 0.13.0 with gtk2
- new build requires

* Mon Apr 29 2002 Rider <rider@altlinux.ru> 0.11.3-alt1
- 0.11.3

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 0.11.2-alt1
- 0.11.2

* Thu Jan 03 2002 Rider <rider@altlinux.ru> 0.11.1-alt1
- 0.11.1
- russian description and summary

* Sat Nov 03 2001 Rider <rider@altlinux.ru> 0.11.0-alt1
- 0.11.0

* Mon Oct 29 2001 AEN <aen@logic.ru> 0.10.0.92-alt2
- rebuild with new gtkhtml/libgal

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.10.0.92-alt1
- rebuild with new gtkhtml/libgal
- new version

* Wed Sep 05 2001 AEN <aen@logic.ru> 0.10.0-alt2
- rebuild with new gtkhtml/libgal

* Sat Aug 18 2001 Rider <rider@altlinux.ru> 0.10.0-alt1
- 0.10.0

* Thu Aug 09 2001 AEN <aen@logic.ru> 0.9.7-alt4
- rebuild with new gtkhtml/libgal

* Wed Jul 18 2001 AEN <aen@logic.ru> 0.9.7-alt3
- rebuild with new gtkhtml

* Mon Jul 9 2001 AEN <aen@logic.ru> 0.9.7-alt1
- new version with new libgal
* Wed May 23  2001 AEN <aen@logic.ru> 0.9.6-alt1
- new version
- html enabled

* Tue Feb 27 2001 AEN <aen@logic.ru>
- 0.9.4

* Tue Feb 13 2001 AEN <aen@logic.ru>
- 0.9.3

* Mon Feb 12 2001 AEN <aen@logic.ru>
- fontset patch
* Wed Dec 20 2000 AEN <aen@logic.ru>
- adopted for RE
- 0.9.2

* Mon Oct 23 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.1-1mdk
- new version 0.9.1 (donesn't need libunicodeanymore)

* Thu Oct 12 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9-1mdk
- 0.9 version

* Tue Oct 03 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.1-0.7mdk
- new version (beta 6) with bug fixes and new features

* Fri Sep 15 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.1-0.6mdk
- new version (beta 5) with more bug fixes

* Tue Sep 12 2000  Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.1-0.5mdk
- new version (beta 4) with many bug fixes

* Tue Aug 29 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.1-0.4mdk
- turned icons into xpm
- added packager entry

* Thu Aug 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.1-0.3mdk
- new version (beta 3)
- menu entry inside spec file
- further macroszification
- changed locales handling (uses macros)
- added icons

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.1-0.2mdk
- automatically added BuildRequires

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.1-0.1mdk
- new release
- use new macros
- add more locales

* Wed Jun 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.0-1mdk
- new release
- use new chmou tools
- add a serial because of beta in version

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 0.8.0beta2-1mdk
- Updated to 0.8.0beta2

* Sun Feb 27 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to version 0.7.6.
- added BuildPreReq things.

* Fri Feb 11 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- v 0.7.5

* Tue Feb 08 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- v 0.7.4

* Mon Dec 06 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v 0.6.5
- fix location of files
- added CFLAGS en CXXFLAGS

* Wed Dec 1 1999 Charles Kerr <charles@skywalker.ecn.ou.edu>
- added "-ggdb3" to CFLAGS so that it'll be easier to read backtraces
  submitted in bug reports

* Thu Nov 4 1999 Jason Leach <leach@wam.umd.edu>
- added gtk+-1.2.6 requirement (1.2.3 definitely breaks, might as well
  make it newest gtk+)

* Tue Nov 2 1999 Jason Leach <leach@wam.umd.edu>
- made .spec.in file to auto-generate .spec

* Sat Sep 25 1999 Leland Elie <lelie@airmail.net>
- created spec file.
